.\" $Header: hdocu.man,v 1.5 98/05/20 13:49:37 fjl Exp $
.TH HDOCU 1 "25 March 1997"
.ds )H Technische Universitaet Muenchen
.ds ]W Institute for Data Processing
.SH NAME
hdocu \- hypertext based software documentation
.SH SYNOPSIS
.B hdocu
.RI [ options ]
.RI [-[ no ] make ]
.RI [-[ no ] man ]
.RI [-[ no ] check ]
.SH DESCRIPTION
.I hdocu
is a system for documenting installed softwared in a distributed environment.
Software packages are usually untar'ed into their own directory (like
.CR /usr/local/src/packagename )
and compiled. Unfortunatley, installation will usually spread lots of binaries,
libraries, headers etc. all over the place.
.P
.I hdocu
was designed to provide the user with information about all software
packages that were installed (and documented), and to be able to
find the package providing a given binary, header oder library.
.P
The software administrator will put a file named
.C INFO.LDV
into every package direcory, fill in the necessary information and call
.CR hdocu .
This will create several HTML files.
.P
Options offered by
.I hdocu
are:
.TP 13
.C -help
Show help message and stop.
.TP 13
.CI -verbose " [level]"
Make hdocu more verbose. Levels 1 to 3 are supportet. Multiple
.C -v
options will each increase the level, explicitly setting the level
overrides any previous setting.
.TP 13
.C -version
Show version of hdocu and stop.
.TP 13
.CR - [ no ] old
Will allow the use of old-style
.C INFO.LDV
files. Only usefull at our own site (LDV).
.TP 13
.CR - [ no ] table
Turn usage of HTML tables on or off.
.TP 13
.CR - [ no ] make
Turn generation of new html files on (the default behaviour) or off.
Only usefull in conjunction with
.C -man
or
.CR -check.
.TP 13
.CR - [ no ] man
Generate HTML versions of manpages. The HTML mansections will be located in the
.CR man/html. <sec>
subdirectory within the default output directory. If there are manpages in
.C /usr/local/man/man1
then this option will create HTML versions in
.CR man/html1.
.TP 13
.CR - [ no ] rman
Uses rman (RosettaMan or PolyglottMan) to produce better HTML code than the
built-in man-to-HTML-Filter. Set to true by default.
.TP 13
.CR - [ no ] check
Run several additional tests on installed files. This will provide the softwareadmin
with the ability to ensure that all files are properly documented.
.TP 13
.C -nocheckman
Checking installed manpages can take quite a while and produce too many
error messages, especially if one manpage has several links to make it
accessible under various names.
.TP 13
.CI -libdir " directory"
Directory where the
.I hdocu
config file and HTML templates are.
.TP 13
.CI -in " directory"
Override default setting of where to look for
.C INFO.LDV
files.
.TP 13
.CI -mandir " directory"
Override default setting of where to look for
man files.
.TP 13
.CI -pub " [directory]"
Like -in, but handled different.
.TP 13
.CI -out " directory"
Where to put the HTML files.
.PP
All options can be abbreviated. If the abbreviation is
not unique, then the following rules apply:
.C -v
expands to
.CR -verbose ,
.C -m
to
.C -man
and
.C -o
to
.CR -out .
.br
Usually, you will want to only edit the
config file and use the options
.C -man
and
.C -check
as appropriate.
.SH FILES
.TP
.C /usr/local/lib/hdocu/config
Default configuration of hdocu. Available options are documented
in the file itself.
.TP
.C /usr/local/lib/hdocu/hdocu_table.tml
Template for creating
.I hdocu
files using tables.
.TP
.C /usr/local/lib/hdocu/hdocu_notable.tml
Template for creating
.I hdocu
files without tables.
.TP
.C /usr/local/lib/hdocu/index.tml
Template for all kind of index files. Tables are constructed by
.IR hdocu ,
so there is only one version for both table and notable setup.
.TP
.C /usr/local/lib/hdocu/man.tml
Template for HTML converted man pages (there is no need for seperate
table / notable versions). Conversion can be done
at a rather low level (the output of a simulated
.BR man (1)
command ist converted to HTML), or using the PolyglottMan
(rman) package's HTML formatting capability (depends on
your installation).
.TP
.C /usr/local/lib/hdocu/INFO.LDV
A sample
.C INFO.LDV
file. It contains information on how to fill in
the information needed.
.TP
.C /usr/local/lib/hdocu/DEFAULT.LDV
Contains default entries if the software administrator
does not fill in some information, e.g. if there is
nothing to fill in. This is quite usual: not every
software package contains libraries
.I and
binaries to be installed.
.SH BUGS
Presumably some :-)
.SH AUTHOR
F.J. Leitner <leitner@ei.tum.de>,
Department of Electrical Engineering and Information Technology,
Technische Universitaet Muenchen
.SH SEE ALSO
.BR man (1)
